# Glib::IdleSource Class Reference
[The Main Event Loop]

`#include <glibmm/main.h>`

Inheritance diagram for Glib::IdleSource:
[legend]

List of all members.

## Public Types

typedef Glib::IdleSource | CppObjectType

## Public Member Functions

sigc::connection | connect (const sigc::slot< bool >& slot)

## Static Public Member Functions

static Glib::RefPtr< IdleSource > | create ()

## Protected Member Functions

| IdleSource ()
virtual | ~IdleSource ()
virtual bool | prepare (int& timeout)
virtual bool | check ()
virtual bool | dispatch (sigc::slot_base* slot_data)

## Member Typedef Documentation

typedef Glib::IdleSource Glib::IdleSource::CppObjectType

Reimplemented from Glib::Source.

## Constructor & Destructor Documentation

Glib::IdleSource::IdleSource | ( |  | ) | `[protected]`

virtual Glib::IdleSource::~IdleSource | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual bool Glib::IdleSource::check | ( |  | ) | `[protected, virtual]`

Implements Glib::Source.

sigc::connection Glib::IdleSource::connect | ( | const sigc::slot< bool > & | slot | ) |

static Glib::RefPtr<IdleSource> Glib::IdleSource::create | ( |  | ) | `[static]`

Reimplemented from Glib::Source.

virtual bool Glib::IdleSource::dispatch | ( | sigc::slot_base * | slot_data | ) | `[protected, virtual]`

Implements Glib::Source.

virtual bool Glib::IdleSource::prepare | ( | int & | timeout | ) | `[protected, virtual]`

Implements Glib::Source.